udftools

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions | Variables
cdrwtool.c File Reference
`#include "config.h"`
`#include <fcntl.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <getopt.h>`
`#include <signal.h>`
`#include <limits.h>`
`#include <sys/ioctl.h>`
`#include <asm/param.h>`
`#include <linux/cdrom.h>`
`#include "cdrwtool.h"`
`#include "../mkudffs/mkudffs.h"`
Include dependency graph for cdrwtool.c:

Go to the source code of this file.

## Functions
int | msf_to_lba (int m, int s, int f)
void | hexdump (const void *buffer, int size)
void | dump_sense (unsigned char *cdb, struct request_sense *sense)
int | wait_cmd (int fd, struct cdrom_generic_command *cgc, unsigned char *buf, int dir, int timeout)
void | sig_progress (int sig)
void | print_completion_info (int fd)
int | mode_select (int fd, unsigned char *buffer, int len)
int | mode_sense (int fd, unsigned char *buffer, int page, char pc, int size)
int | set_write_mode (int fd, write_params_t *w)
int | get_write_mode (int fd, write_params_t *w)
int | sync_cache (int fd)
int | write_blocks (int fd, unsigned char *buffer, int lba, int blocks)
int | write_file (int fd, struct cdrw_disc *disc)
int | blank_disc (int fd, int type)
int | format_disc (int fd, struct cdrw_disc *disc)
int | read_disc_info (int fd, disc_info_t *di)
int | read_track_info (int fd, track_info_t *ti, int trackno)
int | reserve_track (int fd, struct cdrw_disc *disc)
int | close_track (int fd, unsigned int track)
int | close_session (int fd, unsigned int track)
int | read_buffer_cap (int fd, struct cdrw_disc *disc)
int | set_cd_speed (int fd, int speed)
void | cdrom_close (int fd)
int | cdrom_open_check (int fd)
void | print_disc_info (disc_info_t *di)
void | print_track_info (track_info_t *ti)
int | print_disc_track_info (int fd)
void | make_write_page (write_params_t *w, struct cdrw_disc *disc)
void | print_params (write_params_t *wp)
void | cdrw_init_disc (struct cdrw_disc *disc)

## Variables
static int | progress
int | sigfd

## Function Documentation

int blank_disc | ( | int | fd,
|  | int | type
| ) |  |

Definition at line 392 of file cdrwtool.c.

void cdrom_close | ( | int | fd | ) |

Definition at line 614 of file cdrwtool.c.

int cdrom_open_check | ( | int | fd | ) |

Definition at line 623 of file cdrwtool.c.

void cdrw_init_disc | ( | struct cdrw_disc * | disc | ) |

Definition at line 769 of file cdrwtool.c.

int close_session | ( | int | fd,
|  | unsigned int | track
| ) |  |

Definition at line 549 of file cdrwtool.c.

int close_track | ( | int | fd,
|  | unsigned int | track
| ) |  |

Definition at line 528 of file cdrwtool.c.

void dump_sense | ( | unsigned char * | cdb,
|  | struct request_sense * | sense
| ) |  |

Definition at line 59 of file cdrwtool.c.

int format_disc | ( | int | fd,
|  | struct cdrw_disc * | disc
| ) |  |

Definition at line 412 of file cdrwtool.c.

int get_write_mode | ( | int | fd,
|  | write_params_t * | w
| ) |  |

Definition at line 242 of file cdrwtool.c.

void hexdump | ( | const void * | buffer,
|  | int | size
| ) |  |

Definition at line 49 of file cdrwtool.c.

void make_write_page | ( | write_params_t * | w,
|  | struct cdrw_disc * | disc
| ) |  |

Definition at line 734 of file cdrwtool.c.

int mode_select | ( | int | fd,
|  | unsigned char * | buffer,
|  | int | len
| ) |  |

Definition at line 150 of file cdrwtool.c.

int mode_sense | ( | int | fd,
|  | unsigned char * | buffer,
|  | int | page,
|  | char | pc,
|  | int | size
| ) |  |

Definition at line 163 of file cdrwtool.c.

int msf_to_lba | ( | int | m,
|  | int | s,
|  | int | f
| ) |  |

Definition at line 44 of file cdrwtool.c.

void print_completion_info | ( | int | fd | ) |

Definition at line 134 of file cdrwtool.c.

void print_disc_info | ( | disc_info_t * | di | ) |

Definition at line 655 of file cdrwtool.c.

int print_disc_track_info | ( | int | fd | ) |

Definition at line 706 of file cdrwtool.c.

void print_params | ( | write_params_t * | wp | ) |

Definition at line 759 of file cdrwtool.c.

void print_track_info | ( | track_info_t * | ti | ) |

Definition at line 683 of file cdrwtool.c.

int read_buffer_cap | ( | int | fd,
|  | struct cdrw_disc * | disc
| ) |  |

Definition at line 570 of file cdrwtool.c.

int read_disc_info | ( | int | fd,
|  | disc_info_t * | di
| ) |  |

Definition at line 456 of file cdrwtool.c.

int read_track_info | ( | int | fd,
|  | track_info_t * | ti,
|  | int | trackno
| ) |  |

Definition at line 486 of file cdrwtool.c.

int reserve_track | ( | int | fd,
|  | struct cdrw_disc * | disc
| ) |  |

Definition at line 507 of file cdrwtool.c.

int set_cd_speed | ( | int | fd,
|  | int | speed
| ) |  |

Definition at line 594 of file cdrwtool.c.

int set_write_mode | ( | int | fd,
|  | write_params_t * | w
| ) |  |

Definition at line 176 of file cdrwtool.c.

void sig_progress | ( | int | sig | ) |

Definition at line 103 of file cdrwtool.c.

int sync_cache | ( | int | fd | ) |

Definition at line 292 of file cdrwtool.c.

int wait_cmd | ( | int | fd,
|  | struct cdrom_generic_command * | cgc,
|  | unsigned char * | buf,
|  | int | dir,
|  | int | timeout
| ) |  |

Definition at line 76 of file cdrwtool.c.

int write_blocks | ( | int | fd,
|  | unsigned char * | buffer,
|  | int | lba,
|  | int | blocks
| ) |  |

Definition at line 302 of file cdrwtool.c.

int write_file | ( | int | fd,
|  | struct cdrw_disc * | disc
| ) |  |

Definition at line 323 of file cdrwtool.c.

## Variable Documentation

int progress
| static

Definition at line 42 of file cdrwtool.c.

int sigfd

Definition at line 101 of file cdrwtool.c.